<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>angular-frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="./images/favicon.ico">
	   <link rel="stylesheet" href="./styles/style.css">
        <link rel="stylesheet" href="./styles/dark.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="./" class="navbar-brand">angular-frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content overview">
                   <div class="content-data">


<ol class="breadcrumb">
    <li>Overview</li>
</ol>
  
<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 5.0.0 (20220707.1540)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="5444pt" height="323pt"
 viewBox="0.00 0.00 5444.00 322.80" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 318.8)">
<title>dependencies</title>
<polygon fill="white" stroke="transparent" points="-4,4 -4,-318.8 5440,-318.8 5440,4 -4,4"/>
<text text-anchor="middle" x="2718" y="-8.2" font-family="sans-serif" font-size="14.00">dependencies</text>
<g id="clust1" class="cluster">
<title>cluster_AppModule</title>
<polygon fill="none" stroke="black" stroke-dasharray="1,5" points="48,-108.8 48,-306.8 4402,-306.8 4402,-108.8 48,-108.8"/>
</g>
<g id="clust2" class="cluster">
<title>cluster_AppModule_declarations</title>
<polygon fill="none" stroke="black" points="388,-116.8 388,-168.8 4394,-168.8 4394,-116.8 388,-116.8"/>
</g>
<g id="clust28" class="cluster">
<title>cluster_AppModule_imports</title>
<polygon fill="none" stroke="black" points="56,-116.8 56,-168.8 380,-168.8 380,-116.8 56,-116.8"/>
</g>
<g id="clust30" class="cluster">
<title>cluster_AppModule_bootstrap</title>
<polygon fill="none" stroke="black" points="2214,-246.8 2214,-298.8 2338,-298.8 2338,-246.8 2214,-246.8"/>
</g>
<g id="clust32" class="cluster">
<title>cluster_AppRoutingModule</title>
<polygon fill="none" stroke="black" stroke-dasharray="1,5" points="8,-32.8 8,-100.8 248,-100.8 248,-32.8 8,-32.8"/>
</g>
<g id="clust34" class="cluster">
<title>cluster_AppRoutingModule_imports</title>
<polygon fill="none" stroke="black" points="16,-40.8 16,-92.8 240,-92.8 240,-40.8 16,-40.8"/>
</g>
<g id="clust38" class="cluster">
<title>cluster_NgxAuthModule</title>
<polygon fill="none" stroke="black" stroke-dasharray="1,5" points="4410,-32.8 4410,-168.8 5428,-168.8 5428,-32.8 4410,-32.8"/>
</g>
<g id="clust39" class="cluster">
<title>cluster_NgxAuthModule_declarations</title>
<polygon fill="none" stroke="black" points="4598,-40.8 4598,-92.8 5420,-92.8 5420,-40.8 4598,-40.8"/>
</g>
<g id="clust45" class="cluster">
<title>cluster_NgxAuthModule_imports</title>
<polygon fill="none" stroke="black" points="4418,-40.8 4418,-92.8 4590,-92.8 4590,-40.8 4418,-40.8"/>
</g>
<g id="clust55" class="cluster">
<title>cluster_PProjectOverviewModule</title>
<polygon fill="none" stroke="black" stroke-dasharray="1,5" points="256,-32.8 256,-100.8 456,-100.8 456,-32.8 256,-32.8"/>
</g>
<g id="clust56" class="cluster">
<title>cluster_PProjectOverviewModule_declarations</title>
<polygon fill="none" stroke="black" points="264,-40.8 264,-92.8 448,-92.8 448,-40.8 264,-40.8"/>
</g>
<!-- AddProjectComponent -->
<g id="node1" class="node">
<title>AddProjectComponent</title>
<polygon fill="#ffffb3" stroke="black" points="4385.6,-160.8 4240.4,-160.8 4240.4,-124.8 4385.6,-124.8 4385.6,-160.8"/>
<text text-anchor="middle" x="4313" y="-138.6" font-family="Times,serif" font-size="14.00">AddProjectComponent</text>
</g>
<!-- AppModule -->
<g id="node26" class="node">
<title>AppModule</title>
<polygon fill="#8dd3c7" stroke="black" points="2317.66,-225.8 2314.66,-229.8 2293.66,-229.8 2290.66,-225.8 2234.34,-225.8 2234.34,-189.8 2317.66,-189.8 2317.66,-225.8"/>
<text text-anchor="middle" x="2276" y="-203.6" font-family="Times,serif" font-size="14.00">AppModule</text>
</g>
<!-- AddProjectComponent&#45;&gt;AppModule -->
<g id="edge1" class="edge">
<title>AddProjectComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M4313,-161.18C4313,-185.08 4313,-223.8 4313,-223.8 4313,-223.8 2328.08,-223.8 2328.08,-223.8"/>
<polygon fill="black" stroke="black" points="2328.08,-220.3 2318.08,-223.8 2328.08,-227.3 2328.08,-220.3"/>
</g>
<!-- AppComponent -->
<g id="node2" class="node">
<title>AppComponent</title>
<polygon fill="#ffffb3" stroke="black" points="4222.94,-160.8 4117.06,-160.8 4117.06,-124.8 4222.94,-124.8 4222.94,-160.8"/>
<text text-anchor="middle" x="4170" y="-138.6" font-family="Times,serif" font-size="14.00">AppComponent</text>
</g>
<!-- AppComponent&#45;&gt;AppModule -->
<g id="edge2" class="edge">
<title>AppComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M4170,-160.89C4170,-183.93 4170,-220.8 4170,-220.8 4170,-220.8 2327.77,-220.8 2327.77,-220.8"/>
<polygon fill="black" stroke="black" points="2327.77,-217.3 2317.77,-220.8 2327.77,-224.3 2327.77,-217.3"/>
</g>
<!-- CAbschlussComponent -->
<g id="node3" class="node">
<title>CAbschlussComponent</title>
<polygon fill="#ffffb3" stroke="black" points="4099.23,-160.8 3950.77,-160.8 3950.77,-124.8 4099.23,-124.8 4099.23,-160.8"/>
<text text-anchor="middle" x="4025" y="-138.6" font-family="Times,serif" font-size="14.00">CAbschlussComponent</text>
</g>
<!-- CAbschlussComponent&#45;&gt;AppModule -->
<g id="edge3" class="edge">
<title>CAbschlussComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M4025,-160.81C4025,-183.29 4025,-218.8 4025,-218.8 4025,-218.8 2327.94,-218.8 2327.94,-218.8"/>
<polygon fill="black" stroke="black" points="2327.94,-215.3 2317.94,-218.8 2327.94,-222.3 2327.94,-215.3"/>
</g>
<!-- CAccountComponent -->
<g id="node4" class="node">
<title>CAccountComponent</title>
<polygon fill="#ffffb3" stroke="black" points="3933.1,-160.8 3794.9,-160.8 3794.9,-124.8 3933.1,-124.8 3933.1,-160.8"/>
<text text-anchor="middle" x="3864" y="-138.6" font-family="Times,serif" font-size="14.00">CAccountComponent</text>
</g>
<!-- CAccountComponent&#45;&gt;AppModule -->
<g id="edge4" class="edge">
<title>CAccountComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M3864,-160.84C3864,-182.46 3864,-215.8 3864,-215.8 3864,-215.8 2328.07,-215.8 2328.07,-215.8"/>
<polygon fill="black" stroke="black" points="2328.07,-212.3 2318.07,-215.8 2328.07,-219.3 2328.07,-212.3"/>
</g>
<!-- CAnalyseComponent -->
<g id="node5" class="node">
<title>CAnalyseComponent</title>
<polygon fill="#ffffb3" stroke="black" points="3777.05,-160.8 3640.95,-160.8 3640.95,-124.8 3777.05,-124.8 3777.05,-160.8"/>
<text text-anchor="middle" x="3709" y="-138.6" font-family="Times,serif" font-size="14.00">CAnalyseComponent</text>
</g>
<!-- CAnalyseComponent&#45;&gt;AppModule -->
<g id="edge5" class="edge">
<title>CAnalyseComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M3709,-161.08C3709,-182.12 3709,-213.8 3709,-213.8 3709,-213.8 2327.73,-213.8 2327.73,-213.8"/>
<polygon fill="black" stroke="black" points="2327.73,-210.3 2317.73,-213.8 2327.73,-217.3 2327.73,-210.3"/>
</g>
<!-- CArchivierungComponent -->
<g id="node6" class="node">
<title>CArchivierungComponent</title>
<polygon fill="#ffffb3" stroke="black" points="3622.81,-160.8 3457.19,-160.8 3457.19,-124.8 3622.81,-124.8 3622.81,-160.8"/>
<text text-anchor="middle" x="3540" y="-138.6" font-family="Times,serif" font-size="14.00">CArchivierungComponent</text>
</g>
<!-- CArchivierungComponent&#45;&gt;AppModule -->
<g id="edge6" class="edge">
<title>CArchivierungComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M3540,-161.02C3540,-181.17 3540,-210.8 3540,-210.8 3540,-210.8 2327.7,-210.8 2327.7,-210.8"/>
<polygon fill="black" stroke="black" points="2327.7,-207.3 2317.7,-210.8 2327.7,-214.3 2327.7,-207.3"/>
</g>
<!-- CBarComponent -->
<g id="node7" class="node">
<title>CBarComponent</title>
<polygon fill="#ffffb3" stroke="black" points="3439.38,-160.8 3328.62,-160.8 3328.62,-124.8 3439.38,-124.8 3439.38,-160.8"/>
<text text-anchor="middle" x="3384" y="-138.6" font-family="Times,serif" font-size="14.00">CBarComponent</text>
</g>
<!-- CBarComponent&#45;&gt;AppModule -->
<g id="edge7" class="edge">
<title>CBarComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M3384,-160.91C3384,-180.14 3384,-207.8 3384,-207.8 3384,-207.8 2327.75,-207.8 2327.75,-207.8"/>
<polygon fill="black" stroke="black" points="2327.75,-204.3 2317.75,-207.8 2327.75,-211.3 2327.75,-204.3"/>
</g>
<!-- CDurchfuehrungComponent -->
<g id="node8" class="node">
<title>CDurchfuehrungComponent</title>
<polygon fill="#ffffb3" stroke="black" points="3310.19,-160.8 3133.81,-160.8 3133.81,-124.8 3310.19,-124.8 3310.19,-160.8"/>
<text text-anchor="middle" x="3222" y="-138.6" font-family="Times,serif" font-size="14.00">CDurchfuehrungComponent</text>
</g>
<!-- CDurchfuehrungComponent&#45;&gt;AppModule -->
<g id="edge8" class="edge">
<title>CDurchfuehrungComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M3222,-161.02C3222,-179.63 3222,-205.8 3222,-205.8 3222,-205.8 2327.87,-205.8 2327.87,-205.8"/>
<polygon fill="black" stroke="black" points="2327.87,-202.3 2317.87,-205.8 2327.87,-209.3 2327.87,-202.3"/>
</g>
<!-- CErhebungComponent -->
<g id="node9" class="node">
<title>CErhebungComponent</title>
<polygon fill="#ffffb3" stroke="black" points="3115.6,-160.8 2970.4,-160.8 2970.4,-124.8 3115.6,-124.8 3115.6,-160.8"/>
<text text-anchor="middle" x="3043" y="-138.6" font-family="Times,serif" font-size="14.00">CErhebungComponent</text>
</g>
<!-- CErhebungComponent&#45;&gt;AppModule -->
<g id="edge9" class="edge">
<title>CErhebungComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M3043,-160.8C3043,-178.48 3043,-202.8 3043,-202.8 3043,-202.8 2327.78,-202.8 2327.78,-202.8"/>
<polygon fill="black" stroke="black" points="2327.78,-199.3 2317.78,-202.8 2327.78,-206.3 2327.78,-199.3"/>
</g>
<!-- CExitComponent -->
<g id="node10" class="node">
<title>CExitComponent</title>
<polygon fill="#ffffb3" stroke="black" points="2952,-160.8 2838,-160.8 2838,-124.8 2952,-124.8 2952,-160.8"/>
<text text-anchor="middle" x="2895" y="-138.6" font-family="Times,serif" font-size="14.00">CExitComponent</text>
</g>
<!-- CExitComponent&#45;&gt;AppModule -->
<g id="edge10" class="edge">
<title>CExitComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M2895,-160.83C2895,-177.86 2895,-200.8 2895,-200.8 2895,-200.8 2328.06,-200.8 2328.06,-200.8"/>
<polygon fill="black" stroke="black" points="2328.06,-197.3 2318.06,-200.8 2328.06,-204.3 2328.06,-197.3"/>
</g>
<!-- CHomeComponent -->
<g id="node11" class="node">
<title>CHomeComponent</title>
<polygon fill="#ffffb3" stroke="black" points="2820.38,-160.8 2695.62,-160.8 2695.62,-124.8 2820.38,-124.8 2820.38,-160.8"/>
<text text-anchor="middle" x="2758" y="-138.6" font-family="Times,serif" font-size="14.00">CHomeComponent</text>
</g>
<!-- CHomeComponent&#45;&gt;AppModule -->
<g id="edge11" class="edge">
<title>CHomeComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M2758,-160.81C2758,-176.85 2758,-197.8 2758,-197.8 2758,-197.8 2327.93,-197.8 2327.93,-197.8"/>
<polygon fill="black" stroke="black" points="2327.93,-194.3 2317.93,-197.8 2327.93,-201.3 2327.93,-194.3"/>
</g>
<!-- CLandingComponent -->
<g id="node12" class="node">
<title>CLandingComponent</title>
<polygon fill="#ffffb3" stroke="black" points="2677.82,-160.8 2540.18,-160.8 2540.18,-124.8 2677.82,-124.8 2677.82,-160.8"/>
<text text-anchor="middle" x="2609" y="-138.6" font-family="Times,serif" font-size="14.00">CLandingComponent</text>
</g>
<!-- CLandingComponent&#45;&gt;AppModule -->
<g id="edge12" class="edge">
<title>CLandingComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M2609,-161.04C2609,-176.37 2609,-195.8 2609,-195.8 2609,-195.8 2327.84,-195.8 2327.84,-195.8"/>
<polygon fill="black" stroke="black" points="2327.84,-192.3 2317.84,-195.8 2327.84,-199.3 2327.84,-192.3"/>
</g>
<!-- CLanguageComponent -->
<g id="node13" class="node">
<title>CLanguageComponent</title>
<polygon fill="#ffffb3" stroke="black" points="2521.86,-160.8 2376.14,-160.8 2376.14,-124.8 2521.86,-124.8 2521.86,-160.8"/>
<text text-anchor="middle" x="2449" y="-138.6" font-family="Times,serif" font-size="14.00">CLanguageComponent</text>
</g>
<!-- CLanguageComponent&#45;&gt;AppModule -->
<g id="edge13" class="edge">
<title>CLanguageComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M2449,-160.85C2449,-175.17 2449,-192.8 2449,-192.8 2449,-192.8 2327.88,-192.8 2327.88,-192.8"/>
<polygon fill="black" stroke="black" points="2327.88,-189.3 2317.88,-192.8 2327.88,-196.3 2327.88,-189.3"/>
</g>
<!-- CNachzutzungComponent -->
<g id="node14" class="node">
<title>CNachzutzungComponent</title>
<polygon fill="#ffffb3" stroke="black" points="2358.03,-160.8 2193.97,-160.8 2193.97,-124.8 2358.03,-124.8 2358.03,-160.8"/>
<text text-anchor="middle" x="2276" y="-138.6" font-family="Times,serif" font-size="14.00">CNachzutzungComponent</text>
</g>
<!-- CNachzutzungComponent&#45;&gt;AppModule -->
<g id="edge14" class="edge">
<title>CNachzutzungComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M2276,-160.91C2276,-160.91 2276,-179.79 2276,-179.79"/>
<polygon fill="black" stroke="black" points="2272.5,-179.79 2276,-189.79 2279.5,-179.79 2272.5,-179.79"/>
</g>
<!-- CPlanungComponent -->
<g id="node15" class="node">
<title>CPlanungComponent</title>
<polygon fill="#ffffb3" stroke="black" points="2175.06,-160.8 2038.94,-160.8 2038.94,-124.8 2175.06,-124.8 2175.06,-160.8"/>
<text text-anchor="middle" x="2107" y="-138.6" font-family="Times,serif" font-size="14.00">CPlanungComponent</text>
</g>
<!-- CPlanungComponent&#45;&gt;AppModule -->
<g id="edge15" class="edge">
<title>CPlanungComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M2107,-160.85C2107,-175.17 2107,-192.8 2107,-192.8 2107,-192.8 2224.22,-192.8 2224.22,-192.8"/>
<polygon fill="black" stroke="black" points="2224.22,-196.3 2234.22,-192.8 2224.22,-189.3 2224.22,-196.3"/>
</g>
<!-- CVorbereitungComponent -->
<g id="node16" class="node">
<title>CVorbereitungComponent</title>
<polygon fill="#ffffb3" stroke="black" points="2020.81,-160.8 1855.19,-160.8 1855.19,-124.8 2020.81,-124.8 2020.81,-160.8"/>
<text text-anchor="middle" x="1938" y="-138.6" font-family="Times,serif" font-size="14.00">CVorbereitungComponent</text>
</g>
<!-- CVorbereitungComponent&#45;&gt;AppModule -->
<g id="edge16" class="edge">
<title>CVorbereitungComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M1938,-161.04C1938,-176.37 1938,-195.8 1938,-195.8 1938,-195.8 2224.22,-195.8 2224.22,-195.8"/>
<polygon fill="black" stroke="black" points="2224.22,-199.3 2234.22,-195.8 2224.22,-192.3 2224.22,-199.3"/>
</g>
<!-- CZugangComponent -->
<g id="node17" class="node">
<title>CZugangComponent</title>
<polygon fill="#ffffb3" stroke="black" points="1837.94,-160.8 1704.06,-160.8 1704.06,-124.8 1837.94,-124.8 1837.94,-160.8"/>
<text text-anchor="middle" x="1771" y="-138.6" font-family="Times,serif" font-size="14.00">CZugangComponent</text>
</g>
<!-- CZugangComponent&#45;&gt;AppModule -->
<g id="edge17" class="edge">
<title>CZugangComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M1771,-160.81C1771,-176.85 1771,-197.8 1771,-197.8 1771,-197.8 2224.24,-197.8 2224.24,-197.8"/>
<polygon fill="black" stroke="black" points="2224.24,-201.3 2234.24,-197.8 2224.24,-194.3 2224.24,-201.3"/>
</g>
<!-- LandingComponent -->
<g id="node18" class="node">
<title>LandingComponent</title>
<polygon fill="#ffffb3" stroke="black" points="1685.99,-160.8 1558.01,-160.8 1558.01,-124.8 1685.99,-124.8 1685.99,-160.8"/>
<text text-anchor="middle" x="1622" y="-138.6" font-family="Times,serif" font-size="14.00">LandingComponent</text>
</g>
<!-- LandingComponent&#45;&gt;AppModule -->
<g id="edge18" class="edge">
<title>LandingComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M1622,-160.83C1622,-177.86 1622,-200.8 1622,-200.8 1622,-200.8 2224.09,-200.8 2224.09,-200.8"/>
<polygon fill="black" stroke="black" points="2224.09,-204.3 2234.09,-200.8 2224.09,-197.3 2224.09,-204.3"/>
</g>
<!-- MHeaderComponent -->
<g id="node19" class="node">
<title>MHeaderComponent</title>
<polygon fill="#ffffb3" stroke="black" points="1540.19,-160.8 1405.81,-160.8 1405.81,-124.8 1540.19,-124.8 1540.19,-160.8"/>
<text text-anchor="middle" x="1473" y="-138.6" font-family="Times,serif" font-size="14.00">MHeaderComponent</text>
</g>
<!-- MHeaderComponent&#45;&gt;AppModule -->
<g id="edge19" class="edge">
<title>MHeaderComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M1473,-160.8C1473,-178.48 1473,-202.8 1473,-202.8 1473,-202.8 2224.24,-202.8 2224.24,-202.8"/>
<polygon fill="black" stroke="black" points="2224.24,-206.3 2234.24,-202.8 2224.24,-199.3 2224.24,-206.3"/>
</g>
<!-- MainComponent -->
<g id="node20" class="node">
<title>MainComponent</title>
<polygon fill="#ffffb3" stroke="black" points="1387.38,-160.8 1276.62,-160.8 1276.62,-124.8 1387.38,-124.8 1387.38,-160.8"/>
<text text-anchor="middle" x="1332" y="-138.6" font-family="Times,serif" font-size="14.00">MainComponent</text>
</g>
<!-- MainComponent&#45;&gt;AppModule -->
<g id="edge20" class="edge">
<title>MainComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M1332,-161.02C1332,-179.63 1332,-205.8 1332,-205.8 1332,-205.8 2224.22,-205.8 2224.22,-205.8"/>
<polygon fill="black" stroke="black" points="2224.22,-209.3 2234.22,-205.8 2224.22,-202.3 2224.22,-209.3"/>
</g>
<!-- MessagesComponent -->
<g id="node21" class="node">
<title>MessagesComponent</title>
<polygon fill="#ffffb3" stroke="black" points="1258.77,-160.8 1123.23,-160.8 1123.23,-124.8 1258.77,-124.8 1258.77,-160.8"/>
<text text-anchor="middle" x="1191" y="-138.6" font-family="Times,serif" font-size="14.00">MessagesComponent</text>
</g>
<!-- MessagesComponent&#45;&gt;AppModule -->
<g id="edge21" class="edge">
<title>MessagesComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M1191,-160.91C1191,-180.14 1191,-207.8 1191,-207.8 1191,-207.8 2224.13,-207.8 2224.13,-207.8"/>
<polygon fill="black" stroke="black" points="2224.13,-211.3 2234.13,-207.8 2224.13,-204.3 2224.13,-211.3"/>
</g>
<!-- MyProjectComponent -->
<g id="node22" class="node">
<title>MyProjectComponent</title>
<polygon fill="#ffffb3" stroke="black" points="1105.44,-160.8 964.56,-160.8 964.56,-124.8 1105.44,-124.8 1105.44,-160.8"/>
<text text-anchor="middle" x="1035" y="-138.6" font-family="Times,serif" font-size="14.00">MyProjectComponent</text>
</g>
<!-- MyProjectComponent&#45;&gt;AppModule -->
<g id="edge22" class="edge">
<title>MyProjectComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M1035,-161.02C1035,-181.17 1035,-210.8 1035,-210.8 1035,-210.8 2224,-210.8 2224,-210.8"/>
<polygon fill="black" stroke="black" points="2224,-214.3 2234,-210.8 2224,-207.3 2224,-214.3"/>
</g>
<!-- ProjectDetailsComponent -->
<g id="node23" class="node">
<title>ProjectDetailsComponent</title>
<polygon fill="#ffffb3" stroke="black" points="946.14,-160.8 785.86,-160.8 785.86,-124.8 946.14,-124.8 946.14,-160.8"/>
<text text-anchor="middle" x="866" y="-138.6" font-family="Times,serif" font-size="14.00">ProjectDetailsComponent</text>
</g>
<!-- ProjectDetailsComponent&#45;&gt;AppModule -->
<g id="edge23" class="edge">
<title>ProjectDetailsComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M866,-161.08C866,-182.12 866,-213.8 866,-213.8 866,-213.8 2224.18,-213.8 2224.18,-213.8"/>
<polygon fill="black" stroke="black" points="2224.18,-217.3 2234.18,-213.8 2224.18,-210.3 2224.18,-217.3"/>
</g>
<!-- ProjectsListComponent -->
<g id="node24" class="node">
<title>ProjectsListComponent</title>
<polygon fill="#ffffb3" stroke="black" points="768.21,-160.8 619.79,-160.8 619.79,-124.8 768.21,-124.8 768.21,-160.8"/>
<text text-anchor="middle" x="694" y="-138.6" font-family="Times,serif" font-size="14.00">ProjectsListComponent</text>
</g>
<!-- ProjectsListComponent&#45;&gt;AppModule -->
<g id="edge24" class="edge">
<title>ProjectsListComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M694,-160.84C694,-182.46 694,-215.8 694,-215.8 694,-215.8 2224.09,-215.8 2224.09,-215.8"/>
<polygon fill="black" stroke="black" points="2224.09,-219.3 2234.09,-215.8 2224.09,-212.3 2224.09,-219.3"/>
</g>
<!-- ProjectsMaterialTableComponent -->
<g id="node25" class="node">
<title>ProjectsMaterialTableComponent</title>
<polygon fill="#ffffb3" stroke="black" points="601.72,-160.8 396.28,-160.8 396.28,-124.8 601.72,-124.8 601.72,-160.8"/>
<text text-anchor="middle" x="499" y="-138.6" font-family="Times,serif" font-size="14.00">ProjectsMaterialTableComponent</text>
</g>
<!-- ProjectsMaterialTableComponent&#45;&gt;AppModule -->
<g id="edge25" class="edge">
<title>ProjectsMaterialTableComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M499,-160.81C499,-183.29 499,-218.8 499,-218.8 499,-218.8 2224.26,-218.8 2224.26,-218.8"/>
<polygon fill="black" stroke="black" points="2224.26,-222.3 2234.26,-218.8 2224.26,-215.3 2224.26,-222.3"/>
</g>
<!-- AppComponent  -->
<g id="node29" class="node">
<title>AppComponent </title>
<polygon fill="#80b1d3" stroke="black" points="2330.44,-290.8 2221.56,-290.8 2221.56,-254.8 2330.44,-254.8 2330.44,-290.8"/>
<text text-anchor="middle" x="2276" y="-268.6" font-family="Times,serif" font-size="14.00">AppComponent </text>
</g>
<!-- AppModule&#45;&gt;AppComponent  -->
<g id="edge28" class="edge">
<title>AppModule&#45;&gt;AppComponent </title>
<path fill="none" stroke="black" stroke-dasharray="1,5" d="M2276,-225.91C2276,-225.91 2276,-244.79 2276,-244.79"/>
<polygon fill="black" stroke="black" points="2272.5,-244.79 2276,-254.79 2279.5,-244.79 2272.5,-244.79"/>
</g>
<!-- AppRoutingModule -->
<g id="node27" class="node">
<title>AppRoutingModule</title>
<polygon fill="#8dd3c7" stroke="black" points="192.28,-160.8 189.28,-164.8 168.28,-164.8 165.28,-160.8 63.72,-160.8 63.72,-124.8 192.28,-124.8 192.28,-160.8"/>
<text text-anchor="middle" x="128" y="-138.6" font-family="Times,serif" font-size="14.00">AppRoutingModule</text>
</g>
<!-- AppRoutingModule&#45;&gt;AppModule -->
<g id="edge26" class="edge">
<title>AppRoutingModule&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M128,-161.18C128,-185.08 128,-223.8 128,-223.8 128,-223.8 2224.06,-223.8 2224.06,-223.8"/>
<polygon fill="black" stroke="black" points="2224.06,-227.3 2234.06,-223.8 2224.06,-220.3 2224.06,-227.3"/>
</g>
<!-- PProjectOverviewModule -->
<g id="node28" class="node">
<title>PProjectOverviewModule</title>
<polygon fill="#8dd3c7" stroke="black" points="372.19,-160.8 369.19,-164.8 348.19,-164.8 345.19,-160.8 209.81,-160.8 209.81,-124.8 372.19,-124.8 372.19,-160.8"/>
<text text-anchor="middle" x="291" y="-138.6" font-family="Times,serif" font-size="14.00">PProjectOverviewModule</text>
</g>
<!-- PProjectOverviewModule&#45;&gt;AppModule -->
<g id="edge27" class="edge">
<title>PProjectOverviewModule&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M291,-160.89C291,-183.93 291,-220.8 291,-220.8 291,-220.8 2224.08,-220.8 2224.08,-220.8"/>
<polygon fill="black" stroke="black" points="2224.08,-224.3 2234.08,-220.8 2224.08,-217.3 2224.08,-224.3"/>
</g>
<!-- PProjectOverviewRoutingModule -->
<g id="node30" class="node">
<title>PProjectOverviewRoutingModule</title>
<polygon fill="#8dd3c7" stroke="black" points="231.81,-84.8 228.81,-88.8 207.81,-88.8 204.81,-84.8 24.19,-84.8 24.19,-48.8 231.81,-48.8 231.81,-84.8"/>
<text text-anchor="middle" x="128" y="-62.6" font-family="Times,serif" font-size="14.00">PProjectOverviewRoutingModule</text>
</g>
<!-- PProjectOverviewRoutingModule&#45;&gt;AppRoutingModule -->
<g id="edge29" class="edge">
<title>PProjectOverviewRoutingModule&#45;&gt;AppRoutingModule</title>
<path fill="none" stroke="black" d="M128,-84.81C128,-84.81 128,-114.65 128,-114.65"/>
<polygon fill="black" stroke="black" points="124.5,-114.65 128,-124.65 131.5,-114.65 124.5,-114.65"/>
</g>
<!-- PProjectOverviewRoutingModule&#45;&gt;PProjectOverviewModule -->
<g id="edge37" class="edge">
<title>PProjectOverviewRoutingModule&#45;&gt;PProjectOverviewModule</title>
<path fill="none" stroke="black" d="M220.78,-84.81C220.78,-84.81 220.78,-114.65 220.78,-114.65"/>
<polygon fill="black" stroke="black" points="217.28,-114.65 220.78,-124.65 224.28,-114.65 217.28,-114.65"/>
</g>
<!-- LogoutComponent -->
<g id="node31" class="node">
<title>LogoutComponent</title>
<polygon fill="#ffffb3" stroke="black" points="5411.77,-84.8 5290.23,-84.8 5290.23,-48.8 5411.77,-48.8 5411.77,-84.8"/>
<text text-anchor="middle" x="5351" y="-62.6" font-family="Times,serif" font-size="14.00">LogoutComponent</text>
</g>
<!-- NgxAuthModule -->
<g id="node36" class="node">
<title>NgxAuthModule</title>
<polygon fill="#8dd3c7" stroke="black" points="5021.66,-160.8 5018.66,-164.8 4997.66,-164.8 4994.66,-160.8 4910.34,-160.8 4910.34,-124.8 5021.66,-124.8 5021.66,-160.8"/>
<text text-anchor="middle" x="4966" y="-138.6" font-family="Times,serif" font-size="14.00">NgxAuthModule</text>
</g>
<!-- LogoutComponent&#45;&gt;NgxAuthModule -->
<g id="edge30" class="edge">
<title>LogoutComponent&#45;&gt;NgxAuthModule</title>
<path fill="none" stroke="black" d="M5351,-85C5351,-109.16 5351,-148.8 5351,-148.8 5351,-148.8 5031.98,-148.8 5031.98,-148.8"/>
<polygon fill="black" stroke="black" points="5031.98,-145.3 5021.98,-148.8 5031.98,-152.3 5031.98,-145.3"/>
</g>
<!-- NgxLoginComponent -->
<g id="node32" class="node">
<title>NgxLoginComponent</title>
<polygon fill="#ffffb3" stroke="black" points="5272.38,-84.8 5133.62,-84.8 5133.62,-48.8 5272.38,-48.8 5272.38,-84.8"/>
<text text-anchor="middle" x="5203" y="-62.6" font-family="Times,serif" font-size="14.00">NgxLoginComponent</text>
</g>
<!-- NgxLoginComponent&#45;&gt;NgxAuthModule -->
<g id="edge31" class="edge">
<title>NgxLoginComponent&#45;&gt;NgxAuthModule</title>
<path fill="none" stroke="black" d="M5203,-84.83C5203,-105.57 5203,-136.8 5203,-136.8 5203,-136.8 5031.87,-136.8 5031.87,-136.8"/>
<polygon fill="black" stroke="black" points="5031.87,-133.3 5021.87,-136.8 5031.87,-140.3 5031.87,-133.3"/>
</g>
<!-- RegisterComponent -->
<g id="node33" class="node">
<title>RegisterComponent</title>
<polygon fill="#ffffb3" stroke="black" points="5115.99,-84.8 4988.01,-84.8 4988.01,-48.8 5115.99,-48.8 5115.99,-84.8"/>
<text text-anchor="middle" x="5052" y="-62.6" font-family="Times,serif" font-size="14.00">RegisterComponent</text>
</g>
<!-- RegisterComponent&#45;&gt;NgxAuthModule -->
<g id="edge32" class="edge">
<title>RegisterComponent&#45;&gt;NgxAuthModule</title>
<path fill="none" stroke="black" d="M5004.92,-84.81C5004.92,-84.81 5004.92,-114.65 5004.92,-114.65"/>
<polygon fill="black" stroke="black" points="5001.42,-114.65 5004.92,-124.65 5008.42,-114.65 5001.42,-114.65"/>
</g>
<!-- RequestPasswordComponent -->
<g id="node34" class="node">
<title>RequestPasswordComponent</title>
<polygon fill="#ffffb3" stroke="black" points="4970.1,-84.8 4789.9,-84.8 4789.9,-48.8 4970.1,-48.8 4970.1,-84.8"/>
<text text-anchor="middle" x="4880" y="-62.6" font-family="Times,serif" font-size="14.00">RequestPasswordComponent</text>
</g>
<!-- RequestPasswordComponent&#45;&gt;NgxAuthModule -->
<g id="edge33" class="edge">
<title>RequestPasswordComponent&#45;&gt;NgxAuthModule</title>
<path fill="none" stroke="black" d="M4940.11,-84.81C4940.11,-84.81 4940.11,-114.65 4940.11,-114.65"/>
<polygon fill="black" stroke="black" points="4936.61,-114.65 4940.11,-124.65 4943.61,-114.65 4936.61,-114.65"/>
</g>
<!-- ResetPasswordComponent -->
<g id="node35" class="node">
<title>ResetPasswordComponent</title>
<polygon fill="#ffffb3" stroke="black" points="4772.1,-84.8 4605.9,-84.8 4605.9,-48.8 4772.1,-48.8 4772.1,-84.8"/>
<text text-anchor="middle" x="4689" y="-62.6" font-family="Times,serif" font-size="14.00">ResetPasswordComponent</text>
</g>
<!-- ResetPasswordComponent&#45;&gt;NgxAuthModule -->
<g id="edge34" class="edge">
<title>ResetPasswordComponent&#45;&gt;NgxAuthModule</title>
<path fill="none" stroke="black" d="M4689,-84.83C4689,-105.57 4689,-136.8 4689,-136.8 4689,-136.8 4900.28,-136.8 4900.28,-136.8"/>
<polygon fill="black" stroke="black" points="4900.28,-140.3 4910.28,-136.8 4900.28,-133.3 4900.28,-140.3"/>
</g>
<!-- NgxAuthRoutingModule -->
<g id="node37" class="node">
<title>NgxAuthRoutingModule</title>
<polygon fill="#8dd3c7" stroke="black" points="4582.28,-84.8 4579.28,-88.8 4558.28,-88.8 4555.28,-84.8 4425.72,-84.8 4425.72,-48.8 4582.28,-48.8 4582.28,-84.8"/>
<text text-anchor="middle" x="4504" y="-62.6" font-family="Times,serif" font-size="14.00">NgxAuthRoutingModule</text>
</g>
<!-- NgxAuthRoutingModule&#45;&gt;NgxAuthModule -->
<g id="edge35" class="edge">
<title>NgxAuthRoutingModule&#45;&gt;NgxAuthModule</title>
<path fill="none" stroke="black" d="M4504,-85C4504,-109.16 4504,-148.8 4504,-148.8 4504,-148.8 4900.27,-148.8 4900.27,-148.8"/>
<polygon fill="black" stroke="black" points="4900.27,-152.3 4910.27,-148.8 4900.27,-145.3 4900.27,-152.3"/>
</g>
<!-- CProjectsTableComponent -->
<g id="node38" class="node">
<title>CProjectsTableComponent</title>
<polygon fill="#ffffb3" stroke="black" points="439.64,-84.8 272.36,-84.8 272.36,-48.8 439.64,-48.8 439.64,-84.8"/>
<text text-anchor="middle" x="356" y="-62.6" font-family="Times,serif" font-size="14.00">CProjectsTableComponent</text>
</g>
<!-- CProjectsTableComponent&#45;&gt;PProjectOverviewModule -->
<g id="edge36" class="edge">
<title>CProjectsTableComponent&#45;&gt;PProjectOverviewModule</title>
<path fill="none" stroke="black" d="M322.14,-84.81C322.14,-84.81 322.14,-114.65 322.14,-114.65"/>
<polygon fill="black" stroke="black" points="318.64,-114.65 322.14,-124.65 325.64,-114.65 318.64,-114.65"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group size-buttons">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
  
<div class="tab-content overview">
    <div class="row">
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-ios-archive"></span></h4>
                    <p class="card-text">
                        <a href="./modules.html">6 Modules</a>
                    </p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-md-cog"></span></h4>
                    <p class="card-text">32 Components</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-md-arrow-round-down"></span></h4>
                    <p class="card-text">3 Injectables</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-ios-paper"></span></h4>
                    <p class="card-text">2 Classes</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-md-information-circle-outline"></span></h4>
                    <p class="card-text">1 Interface</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-ios-git-branch"></span></h4>
                    <p class="card-text">
                        <a href="./routes.html">13 Routes</a>
                    </p>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="js/libs/svg-pan-zoom.min.js"></script>
<script src="js/svg-pan-zoom.controls.js"></script> 


















                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> results matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

          <label class="dark-mode-switch">
               <input type="checkbox">
               <span class="slider">
                    <svg class="slider-icon" viewBox="0 0 24 24" fill="none" height="20" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" width="20" xmlns="http://www.w3.org/2000/svg">
                    <path d="M21 12.79A9 9 0 1111.21 3 7 7 0 0021 12.79z"></path>
                    </svg>
               </span>
          </label>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 0;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'overview';
            var COMPODOC_CURRENT_PAGE_URL = 'overview.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="./js/libs/custom-elements.min.js"></script>
       <script src="./js/libs/lit-html.js"></script>

       <script src="./js/menu-wc.js" defer></script>
       <script nomodule src="./js/menu-wc_es5.js" defer></script>

       <script src="./js/libs/bootstrap-native.js"></script>

       <script src="./js/libs/es6-shim.min.js"></script>
       <script src="./js/libs/EventDispatcher.js"></script>
       <script src="./js/libs/promise.min.js"></script>
       <script src="./js/libs/zepto.min.js"></script>

       <script src="./js/compodoc.js"></script>

       <script src="./js/tabs.js"></script>
       <script src="./js/menu.js"></script>
       <script src="./js/libs/clipboard.min.js"></script>
       <script src="./js/libs/prism.js"></script>
       <script src="./js/sourceCode.js"></script>
          <script src="./js/search/search.js"></script>
          <script src="./js/search/lunr.min.js"></script>
          <script src="./js/search/search-lunr.js"></script>
          <script src="./js/search/search_index.js"></script>
       <script src="./js/lazy-load-graphs.js"></script>


    </body>
</html>
